%define major 3
%define libname %mklibname gle %major
%define develname %mklibname -d gle

Summary:    GLE Tubing and Extrusion Library
Name:       gle
Version:    3.1.2
Release:    %mkrel 2
License:    GPLv2
Group:      System/Libraries
Source:     https://github.com/linas/glextrusion/archive/refs/tags/gle-%{version}.tar.gz
URL:        https://github.com/linas/glextrusion
BuildRequires: pkgconfig(glu) >= 4.0.1
BuildRequires: pkgconfig(freeglut)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(xi)

%description
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids.  Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.  A
local coordinate system allows for additional flexibility in the
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or
OpenGL API's to perform the actual rendering.

%package -n %libname
Summary: GLE shared library
Group: System/Libraries

%description -n %libname
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids.  Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.  A
local coordinate system allows for additional flexibility in the
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or
OpenGL API's to perform the actual rendering.

The shared library needed by GLE applications.

%package -n %develname
Summary: Devel files for GLE
Group: Development/C
Requires: %libname = %version
Provides: libgle-devel = %version
Provides: gle-devel = %version
Obsoletes: %{_lib}gle3-devel < 3.1.0-11

%description -n %develname
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids.  Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.  A
local coordinate system allows for additional flexibility in the
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or
OpenGL API's to perform the actual rendering.

The static library and headers needed for developing GLE applications.

%prep
%autosetup -p1 -n glextrusion-gle-%{version}
find examples -name .cvsignore -exec rm {} \;

%build
# link-with-gl+glu.patch
autoreconf --force --install
%configure
%make_build

%install
rm -rf %{buildroot} installed-docs
%make_install
mv %buildroot%_datadir/doc/gle installed-docs

cd examples
make clean

# don't ship .a, .la
rm -f %{buildroot}/%_libdir/libgle.{a,la}

%files -n %libname
%doc README.md NEWS COPYING AUTHORS
%_libdir/libgle.so.%{major}*

%files -n %develname
%doc ChangeLog src/COPYING.src src/README.gutil examples installed-docs
%_libdir/libgle.so
%_includedir/GL/*
%_mandir/man3/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.1.2-2.mga10
+ Revision: 2227391
- Mageia 10 Mass Rebuild

* Tue Sep 03 2024 papoteur <papoteur> 3.1.2-1.mga10
+ Revision: 2092979
- new version 3.1.2
- change source repository

* Wed Mar 30 2022 umeabot <umeabot> 3.1.0-22.mga9
+ Revision: 1835042
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 3.1.0-21.mga8
+ Revision: 1512514
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.1.0-20.mga7
+ Revision: 1297906
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 3.1.0-19.mga6
+ Revision: 932827
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1.0-18.mga5
+ Revision: 738980
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.0-17.mga5
+ Revision: 679637
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.1.0-16.mga4
+ Revision: 504926
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.1.0-15.mga3
+ Revision: 351785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 3.1.0-14.mga3
+ Revision: 339149
- patch2: fix build with automake 1.13

* Sat Sep 24 2011 fwang <fwang> 3.1.0-13.mga2
+ Revision: 147181
- add br for examples
- cleanup br

* Thu Jan 20 2011 ahmad <ahmad> 3.1.0-12.mga1
+ Revision: 26668
- drop old/unneeded scriptlets
- don't ship .a, .la
- imported package gle


* Wed Dec 22 2010 Funda Wang <fwang@mandriva.org> 3.1.0-11mdv2011.0
+ Revision: 623757
- tighten BR

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-10mdv2011.0
+ Revision: 605459
- rebuild

* Wed Jan 20 2010 Götz Waschk <waschk@mandriva.org> 3.1.0-9mdv2010.1
+ Revision: 494020
- update license

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 3.1.0-8mdv2009.0
+ Revision: 264550
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Anssi Hannula <anssi@mandriva.org> 3.1.0-7mdv2009.0
+ Revision: 210591
- link against libGL and libGLU to fix undefined symbols
  (link-with-gl+glu.patch)
- fix makefiles regarding CLEANFILES and SUFFIXES (fix-makefiles.patch)
- ensure major correctness
- use configure2_5x

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 3.1.0-6mdv2008.1
+ Revision: 125768
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 3.1.0-6mdv2007.0
+ Revision: 108692
- Import gle

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 3.1.0-6mdv2007.1
- Rebuild

* Mon May 22 2006 Götz Waschk <waschk@mandriva.org> 3.1.0-5mdk
- fix deps for Xorg 7
- use mkrel

* Sat May 21 2005 Götz Waschk <waschk@mandriva.org> 3.1.0-4mdk
- spec fixes

* Fri May 14 2004 Götz Waschk <waschk@linux-mandrake.com> 3.1.0-3mdk
- lib64 & deps fixes

